#!/usr/bin/env python3

import stumpy
import stumpy.mpdist
import numpy as np
# from numpy.linalg import norm
import time
import math
import sys

def euclidean(a, b):
    distance = 0
    for i in range(len(a)):
        t = (a[i] - b[i]) ** 2
        distance = distance + t

    return math.sqrt(distance)

if len(sys.argv) != 3:
    print("Time Series Size + Window size")
    sys.exit()

# Time series size
size = int(sys.argv[1])
# Approximately, how many data points might be found in a pattern
windowSize = int(sys.argv[2])

print("Size", size, "Window Size", windowSize)

ta = np.random.rand(size)
tb = np.random.rand(size)

start_time = time.time()
mpdist = stumpy.mpdist(ta, tb, m=windowSize)
print("--- %.5f seconds ---" % (time.time() - start_time))
print("MPdist: %.4f " % mpdist)

start_time = time.time()
ed = euclidean(ta, tb)
print("--- %.5f seconds ---" % (time.time() - start_time))
print("Euclidean distance: %.4f " % ed)
