#!/usr/bin/env python3

import matplotlib
import matplotlib.pyplot as plt
import datetime
import numpy as np
import sys

matplotlib.use('Agg')

if len(sys.argv) == 2:
	filename = str(sys.argv[1])
else:
	sys.exit("Not enough arguments!")

axis = np.empty((0))
values = np.empty((0))

# Read text file with data
try:
    f = open(filename, 'r')
except IOError as e:
    errno, strerror = e.args
    print("I/O error({0}): {1}".format(errno,strerror))

i = 0
for line in f:
    newLine = line.rstrip().split('\t')
    axis = np.append(axis, i)
    values = np.append(values, int(newLine[0]))
    i = i + 1

plt.xlabel('Time series')
plt.ylabel('Values')
plt.grid(True)
plt.tick_params(axis='both', which='major', labelsize=6)
plt.plot(axis,values)
plt.savefig('./timeSeries.png', dpi=300)
plt.close()
