#!/usr/bin/env python3

import stumpy
import numpy as np
import time
import sys

if len(sys.argv) != 3:
	sys.exit("Not enough arguments!")

size = int(sys.argv[1])
# Approximately, how many data points might be found in a pattern
windowSize = int(sys.argv[2])

print("Size", size, "Query", windowSize)

# Create a time series with random data
ts = np.random.randint(0, size, size=size).astype(float)
# print(ts)

start_time = time.time()
matrix_profile = stumpy.stump(ts, m=windowSize)

# print("MP size:", len(matrix_profile))
# print( matrix_profile[:, 0] )
# print( matrix_profile[:, 1] )

print("--- %s seconds ---" % (time.time() - start_time))
