#!/usr/bin/env python3

import stumpy
import numpy as np
import time
import sys

if len(sys.argv) != 4:
	sys.exit("Not enough arguments!")

# Time series length
size = int(sys.argv[1])
# Window size
windowSize = int(sys.argv[2])
# Dimensions
dim = int(sys.argv[3])

print("Size", size, "Query", windowSize, "Dimensions", dim)

# Each row represents data from a different dimension
# while each column represents data from the same dimension
ts = np.random.rand(dim, size)

start_time = time.time()
matrix_profile, matrix_profile_indices = stumpy.mstump(ts, m=windowSize)
print("--- %s seconds ---" % (time.time() - start_time))

# print(matrix_profile)
# print(matrix_profile_indices)

print(len(matrix_profile), len(matrix_profile_indices))
